Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 300158 - Stabilize net-fs/samba-3.4.6 and co (list in comment #19)
Summary: Stabilize net-fs/samba-3.4.6 and co (list in comment #19)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Low normal (vote)
Assignee: Gentoo's SAMBA Team
URL:
Whiteboard: messy
Keywords: STABLEREQ
Depends on: 292195 293587 300130 320593
Blocks: 314899
  Show dependency tree
 
Reported: 2010-01-08 13:13 UTC by Tero Pelander
Modified: 2011-01-28 15:40 UTC (History)
8 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tero Pelander 2010-01-08 13:13:45 UTC
From http://news.samba.org/ - 25 December 2009
"Samba 3.0.x is now officially deprecated, and no new security updates will be provided by the Samba Team."

Currently 3.0.37 is the latest stable version in portage.
Versions 3.3.9 and 3.4.3 are available with keywords.
Comment 1 Patrick Lauer gentoo-dev 2010-01-08 13:40:38 UTC
At least these packages need to go stable (sorry if I missed any deps)
=net-fs/samba-3.4.4
=net-fs/samba-libs-3.4.4
=net-fs/samba-client-3.4.4
=net-fs/samba-server-3.4.4-r1
=sys-libs/talloc-2.0.0-r1
=sys-libs/tdb-1.2.0
Comment 2 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-01-08 15:20:05 UTC
Are you joking? Requesting stabilization after less than 25 hours?
Comment 3 Tomáš Chvátal (RETIRED) gentoo-dev 2010-01-08 15:27:04 UTC
We really should not even think about stabling something that is in tree for such short period of time.

2 things should be done
1) samba-4.4.3 should be stabled or
2) we could wait at least 14 days if you really see it fit for stable instead for 4.4.3 (some issue i am not aware).

Basically true is that we should not keep the 3.0 stable when upstream says they no longer support it, but we need to stable only fully tested packages.

Archies, you guys decide if it is worth the shot to stable 4.4.3 i guess. (Just replace those 3 versions in what Patrick wrote :])
Comment 4 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-01-08 15:42:41 UTC
Adding depending bugs for compilation issues and compatibility issues. Those should be resolved or _at least_ evaluated first (samba team needs to comment on those bugs) before stabilizing a newer version.
Comment 5 Christian Faulhammer (RETIRED) gentoo-dev 2010-01-08 15:59:46 UTC
As long as no unfixed security bugs for the 3.0 series appear, we can wait a bit with stabilisation.
Comment 6 Samuli Suominen gentoo-dev 2010-01-10 09:03:53 UTC
(In reply to comment #5)
> As long as no unfixed security bugs for the 3.0 series appear, we can wait a
> bit with stabilisation.
> 

This is holding back KDE 4.3.4 stabilization, in fact, it's the only thing that's holding it back.
Comment 7 Christian Faulhammer (RETIRED) gentoo-dev 2010-01-10 10:00:24 UTC
(In reply to comment #6)
> (In reply to comment #5)
> > As long as no unfixed security bugs for the 3.0 series appear, we can wait a
> > bit with stabilisation.
> > 
> 
> This is holding back KDE 4.3.4 stabilization, in fact, it's the only thing
> that's holding it back.

 Honestly, I don't care.  Samba is too crucial to stabilise a major version without much testing.  We have KDE 4.3.3 stable, we don't need any minor version stabilised anyway.  For the 3-series we used to skip here and there a minor version.

Comment 8 Samuli Suominen gentoo-dev 2010-01-10 10:02:21 UTC
(In reply to comment #7)
> > This is holding back KDE 4.3.4 stabilization, in fact, it's the only thing
> > that's holding it back.
>  Honestly, I don't care.  Samba is too crucial to stabilise a major version
> without much testing.  We have KDE 4.3.3 stable, we don't need any minor

You might not, but alpha/ia64/sparc might disagree on that one as I've been explicitely asked to inform them soon as 4.3.4 is ready.
Comment 9 Christian Faulhammer (RETIRED) gentoo-dev 2010-01-10 10:40:00 UTC
I have no problem with that if they go stable, but I think x86 may ignore that one for a while then, we are spread thin enough.
Comment 10 Diego Elio Pettenò (RETIRED) gentoo-dev 2010-01-11 20:49:26 UTC
Speaking about this, I was reported today about a very bad situation on sys-libs/tdb[-python].

There is a serious lack of polishing in this, and I already complained about it with Patrick before, this is not really ready for stable unless somebody goes on to polish the stuff up, especially reverse deps.
Comment 11 George L. Emigh 2010-01-14 22:20:11 UTC
samba-3.4.3 went away, and samba-libs-3.4.4 won't even emerge, why would you remove something that works fine(3.4.3) without making sure 3.4.4 will even emerge.  It seems to be missing a patch.


* Messages for package net-fs/samba-libs-3.4.4:

 * Cannot find $EPATCH_SOURCE!  Value for $EPATCH_SOURCE is:
 *
 *   /usr/portage/net-fs/samba-libs/files/samba-3.4.4-version.h.patch
 *   ( samba-3.4.4-version.h.patch )
 * ERROR: net-fs/samba-libs-3.4.4 failed:
 *   Cannot find $EPATCH_SOURCE!
 *
 * Call stack:
 *     ebuild.sh, line   48:  Called src_prepare
 *   environment, line 3668:  Called epatch '/usr/portage/net-fs/samba-libs/files/samba-3.4.2-missing_includes.patch' '/usr/portage/net-fs/samba-libs/files/samba-3.4.2-fix-samba4-automake.patch' '/usr/portage/net-fs/samba-libs/files/samba-3.4.2-insert-AC_LD_VERSIONSCRIPT.patch' '/usr/portage/net-fs/samba-libs/files/samba-3.4.4-version.h.patch'
 *   environment, line 2037:  Called epatch '/usr/portage/net-fs/samba-libs/files/samba-3.4.4-version.h.patch'
 *   environment, line 2058:  Called die
 * The specific snippet of code:
 *               die "Cannot find \$EPATCH_SOURCE!";
 *
 
Comment 12 Patrick Lauer gentoo-dev 2010-01-14 22:47:42 UTC
(In reply to comment #11)
> samba-3.4.3 went away, and samba-libs-3.4.4 won't even emerge, why would you
> remove something that works fine(3.4.3) without making sure 3.4.4 will even
> emerge.  It seems to be missing a patch.

Sorry about that, was accidental commit of a change I made for testing.
Fixed now.
Comment 13 Syed Amer Gilani 2010-01-25 13:06:09 UTC
When 3.4 is not in a state to be stabilized, would it be possible to stabilize a 3.3.x version instead?
We are using samba on gentoo as domain controller here and the only reason we don't upgrade the workstations from xp to vista/win7 is that those need samba 3.3 or 3.4.
Comment 14 Christian Faulhammer (RETIRED) gentoo-dev 2010-01-27 13:09:03 UTC
(In reply to comment #13)
> When 3.4 is not in a state to be stabilized, would it be possible to stabilize
> a 3.3.x version instead?
> We are using samba on gentoo as domain controller here and the only reason we
> don't upgrade the workstations from xp to vista/win7 is that those need samba
> 3.3 or 3.4.

 Add a specific version to package.keywords manually, so you can upgrade your workstations until we reach a conclusion what to do next.  (Test report would be great, as I could only provide a minimal test environment.) :)
Comment 15 Syed Amer Gilani 2010-02-16 14:01:17 UTC
(In reply to comment #14)
>  Add a specific version to package.keywords manually, so you can upgrade your
> workstations until we reach a conclusion what to do next.  (Test report would
> be great, as I could only provide a minimal test environment.) :)
> 

I did that a few days ago, although I'm not feeling so good about doing that on a live system. I have now 3.3.10 running here with ~30 connected Workstations. So far with no problems.
The only thing that bugs me a little it the removal of utmp(--without-utmp) in this ebuild. I liked that feature. 

Comment 16 Roeland Douma 2010-03-18 11:35:19 UTC
Samba-3.4.5 has been running without problems for about 3 weeks now on AMD64.

The only thing I ran into was that passwords are now stored in a different way. note that I have not by far tested all features.


emerge --info:
--------
Portage 2.1.7.17 (default/linux/amd64/10.0/no-multilib, gcc-4.3.4, glibc-2.10.1-r1, 2.6.31-gentoo-r6 x86_64)
=================================================================
System uname: Linux-2.6.31-gentoo-r6-x86_64-AMD_Athlon-tm-_64_X2_Dual_Core_Processor_5200+-with-gentoo-1.12.13
Timestamp of tree: Thu, 18 Mar 2010 02:15:01 +0000
app-shells/bash:     4.0_p35
dev-java/java-config: 2.1.10
dev-lang/python:     2.6.4-r1
dev-util/cmake:      2.6.4-r3
sys-apps/baselayout: 1.12.13
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.63-r1
sys-devel/automake:  1.7.9-r1, 1.9.6-r2, 1.10.3
sys-devel/binutils:  2.18-r3
sys-devel/gcc:       4.3.4
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA dlj-1.1"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=k8 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /var/bind"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=k8 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests collision-protect distlocks fixpackages multilib-strict news parallel-fetch protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://gentoo.tiscali.nl/ ftp://gentoo.tiscali.nl/pub/mirror/gentoo/ "
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1"
LINGUAS="en"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"                                                                                                                                                           
PORTDIR="/usr/portage"                                                                                                                                                              
PORTDIR_OVERLAY="/usr/overlay"                                                                                                                                                      
SYNC="rsync://rsync.tiscali.nl/gentoo-portage"                                                                                                                                      
USE="3dnow acl amd64 apache2 bash-completion bzip bzip2 caps cli cracklib crypt cue cupsddk curl dri exif fastcgi flac ftp gdbm git graphviz gzip iconv icu id3 jabber jpeg json lame ldap libsamplerate mmx mod_muc modules mp3 mudflap mysql mysqli ncurses nls nptl nptlonly ogg openmp pcre php png posix postgres pppd readline reflection ruby sasl session simplexml spl sse sse2 ssl svg sysfs syslog tcpd threads truetype unicode unzip vorbis web webdav xml xmlreader xmlrpc xmlwriter xorg zip zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en" RUBY_TARGETS="ruby18" USERLAND="GNU" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 17 Pacho Ramos gentoo-dev 2010-04-16 08:06:13 UTC
gnome-base/gvfs-1.4.3 (from Gnome 2.28 stabilization) requires >=net-fs/samba-3.4.6, do you plan to stabilize any new samba version soon?
Comment 18 Pacho Ramos gentoo-dev 2010-04-16 18:17:57 UTC
Feel free to readd arches when you provide a proper list of packages to be stabilized.

Thanks
Comment 19 Olivier Crete (RETIRED) gentoo-dev 2010-05-03 20:44:29 UTC
I would suggest this list.. If it is ok, I'll make it stable (its needed for Gnome 2.28)

sys-libs/tdb-1.2.1
sys-libs/talloc-2.0.1-r1
sys-apps/keyutils-1.2-r2
dev-db/ctdb-1.0.88
net-fs/samba-3.4.6
Comment 20 Pacho Ramos gentoo-dev 2010-05-03 21:08:57 UTC
(In reply to comment #19)
> I would suggest this list.. If it is ok, I'll make it stable (its needed for
> Gnome 2.28)
> 
> sys-libs/tdb-1.2.1
> sys-libs/talloc-2.0.1-r1
> sys-apps/keyutils-1.2-r2
> dev-db/ctdb-1.0.88
> net-fs/samba-3.4.6
> 

Patrick seems to agree with it as talked on IRC :-D

Arches, please test and mark stable the list from comment #19
Comment 21 Olivier Crete (RETIRED) gentoo-dev 2010-05-04 14:26:57 UTC
amd64 done

Btw, FEATURES=test fails for dev-db/ctdb-1.0.88 but I marked it stable anyway..
Comment 22 Dirkjan Ochtman gentoo-dev 2010-05-05 08:37:37 UTC
Could we possibly add some elog about the changed password db default type? This changed in 3.4, and makes it really easy to break your installation.
Comment 23 Sander Knopper 2010-05-11 10:18:24 UTC
on x86:

[ebuild  N    ] sys-libs/tdb-1.2.1  USE="-python -static-libs -tdbtest -tools"
[ebuild  N    ] sys-libs/talloc-2.0.1-r1  USE="-compat -doc -static-libs -swig"
[ebuild     U ] net-fs/samba-3.4.6 [3.0.37] USE="aio%* client%* netapi%* readline server%* smbclient%* swat -acl -addns% -ads -avahi% -caps -cluster% -cups -debug -doc -examples -fam -ldap -ldb% -pam -quota% -smbsharemodes% -syslog -winbind (-async%) (-automount%) (-ipv6%) (-oav%) (-python%) (-quotas%) (-selinux%)"

Compiled without any problems.

After running "pdbedit -i smbpasswd -e tdbsam" as described in the Samba release notes to convert the password backend to tdbsam (the new default) I couldn't connect to shares from my clients anymore.

But adding "passdb backend = smbpasswd" to my smb.conf did the trick and now my clients can connect to the samba shares. Using the old backend though.

So for now I would advice to add a warning to the ebuild to add the above mentioned line to smb.conf.

Other than that, everything seems to work great. Samba is running on my home server and several clients are using it without problems.


Portage 2.1.8.3 (default/linux/x86/10.0, gcc-4.3.4, glibc-2.10.1-r1, 2.6.32-gentoo-r7 i686)
=================================================================
System uname: Linux-2.6.32-gentoo-r7-i686-VIA_Esther_processor_1000MHz-with-gentoo-1.12.13
Timestamp of tree: Tue, 11 May 2010 08:15:01 +0000
app-shells/bash:     4.0_p37
dev-lang/python:     2.6.4-r1
dev-python/pycrypto: 2.1.0_beta1
sys-apps/baselayout: 1.12.13
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.65
sys-devel/automake:  1.11.1
sys-devel/binutils:  2.18-r3
sys-devel/gcc:       4.3.4
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="* -@EULA"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=native -Os -fomit-frame-pointer -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /var/bind"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -Os -fomit-frame-pointer -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps=y"
FEATURES="assume-digests distlocks fixpackages news parallel-fetch protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://ftp.snt.utwente.nl/pub/os/linux/gentoo/"
LC_ALL="en_US.ISO-8859-1"
LDFLAGS="-Wl,-O1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.nl.gentoo.org/gentoo-portage"
USE="aio apache2 bzip2 calendar cli cracklib crypt ctype curl cxx exif filter ftp gd gdbm iconv jpeg jpeg2k json mmx modules mpm-prefork mudflap mysql mysqli ncurses network-cron nls no-suexec nowebdav nptl nptlonly pcre pdo png posix pppd readline reflection samba session sftplogging simplexml sockets spl sse sse2 sse3 ssl swat sysfs truetype unicode vhosts x86 xml xmlreader xmlrpc xmlwriter xorg zlib" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="prefork" ELIBC="glibc" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" RUBY_TARGETS="ruby18" USERLAND="GNU" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, FFLAGS, INSTALL_MASK, LANG, LINGUAS, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS



Comment 24 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2010-05-18 08:09:21 UTC
x86 stable
Comment 25 Jeroen Roovers (RETIRED) gentoo-dev 2010-05-20 00:05:39 UTC
Stable for HPPA.
Comment 26 Raúl Porcel (RETIRED) gentoo-dev 2010-06-05 19:11:45 UTC
alpha/arm/ia64/s390/sh/sparc stable
Comment 27 Joe Jezak (RETIRED) gentoo-dev 2010-08-12 01:29:10 UTC
Marked ppc/ppc64 stable.
Comment 28 Patrick Lauer gentoo-dev 2011-01-28 15:40:37 UTC
Looks like nothing left to do and no one closed it yet.